[openssh-commits] [openssh] 01/01: Use "=" not "==" in string test.

git+noreply at mindrot.org git+noreply at mindrot.org
Wed Nov 25 17:49:42 AEDT 2020


This is an automated email from the git hooks/post-receive script.

dtucker pushed a commit to branch master
in repository openssh.

commit 637017a7dd3281d3f2df804993cc27c30dbfda47
Author: Darren Tucker <dtucker at dtucker.net>
Date:   Wed Nov 25 17:38:46 2020 +1100

    Use "=" not "==" in string test.
    
    POSIX says "=" is string comparison and some shells (eg HP-UX) will
    complain about "==".
---
 regress/key-options.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/regress/key-options.sh b/regress/key-options.sh
index 097f46eb..2f3d66e2 100644
--- a/regress/key-options.sh
+++ b/regress/key-options.sh
@@ -9,7 +9,7 @@ cp $authkeys $origkeys
 
 # Allocating ptys can require privileges on some platforms.
 skip_pty=""
-if ! config_defined HAVE_OPENPTY && [ "x$SUDO" == "x" ]; then
+if ! config_defined HAVE_OPENPTY && [ "x$SUDO" = "x" ]; then
 	skip_pty="no openpty(3) and SUDO not set"
 fi
 

-- 
To stop receiving notification emails like this one, please contact
djm at mindrot.org.


More information about the openssh-commits mailing list